Поддержка PHP 4 закончится в конце этого года

image

Теги: PHP

Выпущено официальное объявление о том, что в конце текущего года прекращается поддержка предыдущей стабильной версии популярного скриптового Open Source-языка программирования PHP — 4.

Выпущено официальное объявление о том, что в конце текущего года прекращается поддержка предыдущей стабильной версии популярного скриптового Open Source-языка программирования PHP — 4.

13 июля 2007 года первому релизу из ветки PHP 5 исполнилось 3 года. За это время текущая версия PHP успела вобрать в себя множество улучшений и нововведений, выгодно отличающих ее от предыдущей, уже устаревшей ветки PHP. Разработчики на сегодняшний день позиционируют PHP 5 как быструю и стабильную платформу, а также замечают, что «на подходе» и новая версия их языка программирования — PHP 6.

Команда разработчиков PHP прекратит поддержку PHP 4 в конце 2007 года. Это означает, что после 31 декабря 2007 года не будет представлено ни одного релиза PHP 4.4. Исправления, устраняющие критические проблемы в безопасности PHP 4, будут выпускаться «от случая к случаю» вплоть до 8 августа 2008 года.

На сайте PHP опубликованы гиды по миграции с PHP 4 на PHP 5, а также — с PHP 5.0 на PHP 5.1, с PHP 5.1 на PHP 5.2.


или введите имя

CAPTCHA
Страницы: 1  2  
1
16-07-2007 14:16:56
Да давно уже пора!
0 |
1
16-07-2007 15:09:35
ну может хоть это заставит пошевелиться тормозных и ленивых хостеров
0 |
1
16-07-2007 16:04:38
Новость баян.
0 |
1
16-07-2007 19:11:38
[:]||||||||||||||[:]
0 |
1
17-07-2007 09:46:50
На самом деле - полный ужас. 1. Большинство хостеров предоставляют именно PHP4 2. Большинство приложений написаны именно под PHP4 Переход PHP4->PHP5 это не только затраты времени на переделывание кода, но и необходимость последующего тестирования. А многие PHP-программы работают годами.
0 |
1
17-07-2007 12:38:16
То что работало под 4 будет работать и под 5 =)
0 |
17-07-2007 13:17:50
Если написано не через одно место С кодировками могут возникнуть проблемы
0 |
1
01-08-2007 09:15:22
Это говорит человек явно не знакомый с особенностями 4 и 5 версии. Приложения под 4 написанные в обьектном стиле не будут работат в 5. В 5 переписанна система класов и вообще много чего переписанно и имеет другой синтаксис.
0 |
Страницы: 1  2